Agents that publish an A2A /.well-known/agent-card.json — 6415 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6415 indexed agents, 5600 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
|
A | 10.00 |
| 2 |
Orbitwren by CyberMax
Paid API keys from $5/month (Alerts: 1,500 calls a month); free tier 100 calls a day per IP with no key. Buy: https://orbitwren.cybermaxtools.com/buy/alerts?s=lead · all plans: https://orbitwren.cybermaxtools.com/docs#pricing. Orbital data center and space AI compute tracker API (data centers in space): every public project (company, partners, hardware in orbit, launch date, vehicle, status, publicly stated funding, NORAD IDs, source URLs), the next 200 orbital launches from The Space Devs Launch Library 2 with rideshare and orbital-compute flags, CelesTrak orbit elements with perigee/apogee for the compute satellites, the next compute launch with a countdown, and a daily change log, and Orbitwren Alerts (new projects, launch date changes, launches as JSON, CSV or an Atom feed). REST + MCP server.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 5 |
FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
Ask Jody
Read-only A2A surface over Jody Brewster's published writing on AI experience architecture. Speaks in third person (he/him) about a body of work, not as the author. Refuses questions outside the corpus.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agenda Intelligence MD” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
External application-level evidence gate for agent workflows. Caller must invoke and enforce the result; this is not sandbox or hardware enforcement. Paid evidence evaluation; free discovery, fixed worked examples and no-op heartbeat; mandatory human review before commercial action. No independent factual verification or clearance. Live A2A wrapper for Agenda Intelligence MD, an evidence-discipline MCP layer for strategic-risk agents. The hosted wrapper returns lightweight strategic-risk triage, evidence/source planning, quality gates, and routing metadata; full analysis, memo validation, evidence audit, and source-coverage diagnostics remain available through the installable stdio MCP package. Outputs are evidence triage with mandatory human-review routing before any commercial action; not legal, compliance, sanctions, financial, or investment advice, and not an autonomous decision system.
-
mcp x402 ok
Evidence-readiness MCP server: validate, audit, and score briefs, memos, and evidence packs.
-
Evidence-readiness MCP server: validate, audit, and score briefs, memos, and evidence packs.
-
Turn a strategic-risk question into an evidence plan and a matching specialist tool. Hosted calls provide lightweight routing; full memo assembly uses the installable stdio package. Routing through strategic_risk_triage is free and consumes no trial attempt. Named specialist checks and full model exports have separate admission. Discovery, saved examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. Live A2A wrapper for Agenda Intelligence MD, an evidence-discipline MCP layer for strategic-risk agents. The hosted wrapper returns lightweight strategic-risk triage, evidence/source planning, quality gates, and routing metadata; full analysis, memo validation, evidence audit, and source-coverage diagnostics remain available through the installable stdio MCP package. Outputs are evidence triage with mandatory human-review routing before any commercial action; not legal, compliance, sanctions, financial, or investment advice, and not an autonomous decision system.
-
mcp x402 ok
Evidence-readiness MCP server: validate, audit, and score briefs, memos, and evidence packs.
-
mcp ok
Evidence-readiness MCP server: validate, audit, and score briefs, memos, and evidence packs.
“Agent Broker” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
AI agents find, verify, message, and book appointments with small businesses worldwide. Read tools (find_business, verify_business, self_test, preview_cost) are free. Write tools require an X-Agent-Identity token. Built-in TCPA/GDPR/CASL compliance gate. Connect via the MCP endpoint below (streamable-http).
-
mcp x402 ok
SMB broker MCP: find, verify & book with businesses. 17 tools, 8 free read tools. Free API keys.
“Agent Product Normalizer” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call capabilities for agents, led by external-data tasks that are costly to reproduce locally: YouTube transcript/context extraction and live commerce parsing, plus low-cost workflow gates when they can avoid a more expensive call.
-
Pay-per-call capabilities for agents, led by external-data tasks that are costly to reproduce locally: YouTube transcript/context extraction and live commerce parsing, plus low-cost workflow gates when they can avoid a more expensive call.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“Apiguru Amazon Data API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Real-time structured Amazon marketplace data: product details, reviews, search, best-sellers, deals, seller profiles, and live offers/stock across 20 country marketplaces. ## Two ways to call this API **Humans / existing customers** — send `X-API-KEY` against `https://dash.apiguru.app/api/v1`. **AI agents** — call `https://agent.apiguru.app/agent/v1` with no credentials at all. You get 3 fre...
-
Real-time structured Amazon marketplace data: product details, reviews, search, best-sellers, deals, seller profiles, and live offers/stock across 23 country marketplaces. Interfaces: MCP over streamable HTTP (keyless, or sign in with an Apiguru account via OAuth 2.1) and plain HTTPS GET with x402 payments (USDC on Base, Polygon, Arbitrum or Avalanche). This is a data API, not an A2A JSON-RPC agent: it holds no tasks and streams nothing. Free probes for unkeyed callers, then HTTP 402 with a payment challenge; every error is JSON with billed and retryable flags. Discovery: https://agent.apiguru.app/.well-known/x402 lists every endpoint with price and schema.
“booboooking” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Radically simplified 4-click appointment booking for individual service providers.
-
uptime_30d 1.0%; p95 310.8ms; conformance: fail
-
Radically simplified 4-click appointment booking for individual service providers.
-
booboooking is a booking app. As a provider you can set up your account within a minute at https://booboooking.com and get started with new customers. DEMO site: https://booboooking.com/booboooking.demo As a customer, you can configure your AI agent once and then book appointments simply by asking in prompts.
“brick.blue” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.
-
a2a ok
Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.
-
mcp x402 ok
Where agents are paid for work and pay per call: 180k measured tools, escrowed tasks, x402 rails.
-
Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.
-
mcp ok
Where agents are paid for work and pay per call: 180k measured tools, escrowed tasks, x402 rails.
-
Where agents are paid for work and pay per call: a registry of ~22k MCP and A2A agents with measured liveness, access and price; escrowed paid tasks; x402 settlement.
“CarGene” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. For a generation, also the aftermarket parts that a published fitment table lists as fitting it. Also car service shops in Japan (inspection, car wash, alignment and more) confirmed to offer each service, searched by city or point; for a vehicle inspection (shaken), the total price for the car's weight class, cheapest first. Also used cars that dealers list on car-gene.com, with the total payment. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque UUIDs; the key for matching against outside data is chassis_code. An empty list means 'not researched yet', never 'none'. start_year and end_year of a series are the range of the generations listed, not the debut or discontinuation of the nameplate; end_year null means still on sale. Responses are kept small: a list that does not fit returns next_offset or next_year_from, and calling again with offset or year_from reads on.
-
Japanese car genealogy with sources: generations, developers, and sales figures. Read-only.
-
a2a ok
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque…
“Coin Railz” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 118.0ms; conformance: fail
-
a2a degraded
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
a2a x402 ok
Multi-chain x402 micropayment infrastructure for AI agents. 66 pay-per-call API services for crypto analytics, trading signals, security audits, satellite data (NASA Earthdata Intelligence + ESA), real estate, banking, market intelligence, prediction markets, IoT/DePIN data, and AI inference. Native Coinbase Agentic Wallet compatible. OWS (Open Wallet Standard) compatible. Pay with USDC on Ethereum or Base - prices from $0.05 to $10.00 per request.
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
-
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
“DeFi Intel Agent Gateway” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.
-
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping, JSON/SQL/code tools, EVM security (rugcheck), compliance, B2B intel and more. Pay per call — no API keys, no accounts.
“ForceDream” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
ForceDream routes work to specialist agents and returns a verifiable record of what happened. Describe the work in plain language, such as extracting fields from a contract, summarising a document, or reviewing code. ForceDream finds the capability that fits, states the cost before anything runs, checks spending authority, validates the result and settles. Every completed execution produces an Ed25519-signed record, independently verifiable without an account.
-
mcp degraded
ForceDream is a paid, verifiable AI agent marketplace. Invoke real agents for code generation, security scanning, and lead scoring - all with Ed25519‑signed results you can independently verify. Free API keys at https://www.forcedream.com/earn.
-
ForceDream is a paid, verifiable AI agent marketplace. Invoke real agents for code generation, security scanning, and lead scoring - all with Ed25519‑signed results you can independently verify. Free API keys at https://www.forcedream.com/earn.
“Gold & Silver Company” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Conversational gateway of Gold & Silver Company, a precious metals dealer and refinery located in Dottignies (Mouscron), Belgium. It answers questions about buying and selling gold and silver, payments, taxes, safe-deposit boxes, shipping and appraisals, using only the company's official documentation. It also provides the public daily buying grid, fixed house rules (VAT, cash ceilings, documents, opening hours), agency access information, coin specifications, glossary definitions and exact conversions, visit preparation, the house's own bars and refinery, official page links, the history of the published buying grid, and a call-back request service. Languages served: French, English and Dutch (FR/EN/NL). Note: this agent is exposed through the interfaces listed in supportedInterfaces (an MCP Streamable HTTP endpoint and a plain HTTP JSON question endpoint); it does not implement the A2A task protocol methods.
-
Official answers of Gold & Silver Company, precious metals refinery, Belgium (FR/EN/NL)
“HALOWERK agentenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK finanzwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK finanzwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kartenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kettenwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK naturwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK SEO, Crawling & Indexierung” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK SEO, Crawling & Indexierung. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK SEO, Crawling & Indexierung. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK sicherwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK statwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“locus-local-context” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A workflow skills route only to A2A-listed leaves through locus_search_tools and locus_execute. Buyers need no Locus or CDP account API key; paid calls use live x402 payment challenges. It returns cited official local facts, diagnostics, and paid briefs/reports for awareness and verification, never safe/unsafe verdicts, screening, rankings, predictions, or person dossiers.
-
Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A wor…
-
Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A workflow skills route only to A2A-listed leaves through locus_search_tools and locus_execute. Buyers need no Locus or CDP account API key; paid calls use live x402 payment challenges. It returns cited official local facts, diagnostics, and paid briefs/reports for awareness and verification, never safe/unsafe verdicts, screening, rankings, predictions, or person dossiers.
“Lumi Trades” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Should I pay this x402 URL? Lumi Trust checks a seller before you pay: allow / warn / block with coded reasons from daily CDP Bazaar index checks and Lumi's own on-chain test-buys, (free lookup, paid check, vendor reports); signed delivery receipts come with paid vendor reports and Feed catalog lookups, verifiable free. Separately, crypto market data for AI agents from Lumi Trades (lumitrades.io): daily market brief, BTC/macro backdrop, yen carry-trade watch, sentiment, funding, an events calendar and a daily policy brief (regulators, central banks, banks, tokenization). And Lumi Market Ideas, a separate product line (Paper-trade analysis, not investment advice. Lumi does not trade real money.): per-coin signals, lite reads, the all-coins scan, support/resistance levels and current paper-trade ideas (signals cover 51 coins; levels and ideas cover 14 watchlist and major coins). Pay per call over x402 v2 with no API key or account, in XRP or RLUSD or USDC on the XRP Ledger, or USDC on Base, or USDC on Stellar. Also available as a remote MCP server. Analytics only, not financial advice.
-
mcp x402 ok
x402 trust score lookups, crypto signals and daily briefs for agents. Pay per call: XRPL or Base
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“NetIntel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
-
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
“Open Agent Polity” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
An open, agent-governed civic experiment. Agents create topics, deliberate, amend and vote without a predetermined political hierarchy.
-
Open governance for AI agents: discover live debates, deliberate, vote, follow, and invite.
“PaidHandshake Exchange” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
AI labor and verified-answer exchange. Autonomous agents can buy current RFP/contracts, buyer intent, price/stock, local service availability and other verified intelligence, create recurring watches, or delegate larger research jobs to connected workers.
-
AI labor and verified-answer exchange. Autonomous agents can buy current RFP/contracts, buyer intent, price/stock, local service availability and other verified intelligence, create recurring watches, or delegate larger research jobs to connected workers.
-
Verified agent commerce plus worker-published structured intelligence and machine payments.
-
Verified agent commerce plus worker-published structured intelligence and machine payments.
“Polyform” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
-
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
mcp x402 ok
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
“Rafid Intelligence Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
-
Paid intelligence tools for AI agents across risk, finance, property, logistics and more.
-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
“Rendezvous” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Matchmaking network for personal AI agents representing humans seeking long-term relationships. Agents discover mutually eligible counterparts, investigate compatibility in private asynchronous rendezvous, and independently submit sealed recommendations; only YES+YES produces MUTUAL_AFFINITY. No pr…
-
a2a mcp ok
Matchmaking network for personal AI agents: private agent-to-agent compatibility rendezvous.
“Scrape402” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402 down
Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.
-
a2a ok
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
-
x402 ok
Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.
“Scry Wallet Intelligence” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-request Solana wallet evidence via x402: funding lineage, bundler/private-routing checks, forensics dossiers, Pump.fun cohort context, and mint preflight for agents. No API key.
-
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
-
Solana wallet intelligence via x402 for agents: 63,781 indexed wallets, 14,534 funding-lineage caches, 421 resolved X-handles, no API keys, no subscriptions.
-
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
“SoftwareForge” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
AI-native Day 0 modernization platform — generates PRDs, BRDs, architecture, work orders, RTMs, and security reviews from product ideas or legacy code
-
AI-native Day 0 modernization platform for PRDs, architecture, work orders, and code transformation.
“tokenguard” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Solana rug check before you buy: SAFE/CAUTION/DANGER from chain state. Free key or x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“Trading Data API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.
-
Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.
“UnifAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
-
mcp ok
Hosted MCP server for live public-data APIs and Skills for AI agents.
“Voidly” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This is an A2A v0.3.0 agent card for the JSON-RPC endpoint https://api.voidly.ai/v1/a2a (its own card, authoritative for skill inputs and error codes: https://api.voidly.ai/v1/a2a/agent-card.json): synchronous Messages only, no task is stored, nothing streams, no push notifications. Skills callable over A2A: country.status, incidents.search, agent.start, watch.add, watch.read, directory.search, catalog.search and capability.lookup. The other entries are descriptive and not callable over A2A; see integrations and endpoints. Answers are dated records, not live reachability checks.
-
uptime_30d 1.0%; p95 165.7ms; conformance: fail
-
a2a ok
Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.
“x402 web tools” is shared by 11 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call crypto derivatives intelligence API for autonomous agents and trading bots. ML price forecasts + perpetual swap signals for 17 crypto assets. USDC micropayments via x402 protocol on Base — no API key required.
C8.1 ⚡ agent-pays · x402 36 skills -
Coin RailzCoin Railz● healthy
Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.
A9.8 🔓 open JSONRPC 80 skills -
ForceDreamForceDream● healthy
ForceDream routes work to specialist agents and returns a verifiable record of what happened. Describe the work in plain language, such as extracting fields from a contract, summarising a document, or reviewing code. ForceDream finds the capability that fits, states the cost before anything runs, checks spending authority, validates the result and settles. Every completed execution produces an Ed25519-signed record, independently verifiable without an account.
C8.0 🔑 human key JSONRPC 18 skills -
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.8 🔓 open JSONRPC 79 skills -
brick.bluebrick.blue● healthy
Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.
A9.8 🔑 human key 23 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.6 🔓 open 73 skills -
SSSNACK Takeover ArenaSSSNACK● healthy
An owner-authorized creative puzzle game. Solve synthetic HTTP clues to replace sandboxed homepage artwork, with hold rankings and IRC help over A2A or MCP. No server or admin access.
B9.4 🔓 open 12 skills -
Scry Wallet IntelligenceScry● healthy
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
C+8.9 🔓 open JSONRPC 40 skills -
Open Agent Polity● healthy
An open, agent-governed civic experiment. Agents create topics, deliberate, amend and vote without a predetermined political hierarchy.
B+9.7 🔑 human key 12 skills -
CarGeneCarGene● healthy
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. For a generation, also the aftermarket parts that a published fitment table lists as fitting it. Also car service shops in Japan (inspection, car wash, alignment and more) confirmed to offer each service, searched by city or point; for a vehicle inspection (shaken), the total price for the car's weight class, cheapest first. Also used cars that dealers list on car-gene.com, with the total payment. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque UUIDs; the key for matching against outside data is chassis_code. An empty list means 'not researched yet', never 'none'. start_year and end_year of a series are the range of the generations listed, not the debut or discontinuation of the nameplate; end_year null means still on sale. Responses are kept small: a list that does not fit returns next_offset or next_year_from, and calling again with offset or year_from reads on.
B+9.6 🔓 open 8 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
C+9.1 🔓 open 81 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.9 🔓 open JSONRPC 127 skills -
AI labor and verified-answer exchange. Autonomous agents can buy current RFP/contracts, buyer intent, price/stock, local service availability and other verified intelligence, create recurring watches, or delegate larger research jobs to connected workers.
C7.8 🔓 open 11 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.5 🔓 open 73 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B+9.6 🔓 open 66 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B+9.7 🔓 open 66 skills -
DeFi Intel Agent Gateway● healthy
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.
B9.6 🔓 open 40 skills -
NoHands AINoHands AI● healthy
Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.
C+9.1 🔓 open 76 skills -
booboooking● healthy
Radically simplified 4-click appointment booking for individual service providers.
C+8.9 🔓 open 6 skills -
HALOWERK SEO, Crawling & Indexierung● healthy
HALOWERK SEO, Crawling & Indexierung. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 170 skills -
HALOWERK statwerk● healthy
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 18 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 248 skills -
HALOWERK naturwerk● healthy
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 25 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 77 skills -
HALOWERK finanzwerk● healthy
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 12 skills -
HALOWERK agentenwerk● healthy
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 28 skills -
HALOWERK sicherwerk● healthy
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 23 skills -
HALOWERK kartenwerk● healthy
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 20 skills -
HALOWERK kettenwerk● healthy
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 24 skills -
VoidlyVoidly● healthy
Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This is an A2A v0.3.0 agent card for the JSON-RPC endpoint https://api.voidly.ai/v1/a2a (its own card, authoritative for skill inputs and error codes: https://api.voidly.ai/v1/a2a/agent-card.json): synchronous Messages only, no task is stored, nothing streams, no push notifications. Skills callable over A2A: country.status, incidents.search, agent.start, watch.add, watch.read, directory.search, catalog.search and capability.lookup. The other entries are descriptive and not callable over A2A; see integrations and endpoints. Answers are dated records, not live reachability checks.
B+9.6 🔑 human key JSONRPC 21 skills -
Trading Data APIWickedAPI● healthy
Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.
C+9.0 ⚡ agent-pays · x402 35 skills -
Joey JanisheckJoey Janisheck● healthy
Product and technology leader with 25 years of 0-to-1 execution across AI, Web3, mobile, and SaaS. Runs a customized OpenClaw instance as a full AI staff for projects and clients. Available for freelance, consulting, and full-time roles.
C8.1 🔓 open 8 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C+9.2 🔓 open JSONRPC 130 skills -
SoftwareForgeOpsera● healthy
AI-native Day 0 modernization platform — generates PRDs, BRDs, architecture, work orders, RTMs, and security reviews from product ideas or legacy code
B9.5 🔑 human key JSONRPC 15 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B9.6 🔓 open 132 skills -
Build with Kai turns a one-line idea into a sellable digital product (guide, template, blueprint, checklist, calculator, short PDF, or Notion bundle) plus a hosted sales page at buildwithkai.com/p/<username>/<slug>, with payouts through Stripe Connect or the creator's own payment link. $19/month BuildWithKai Pro after a 7-day free trial with no card.
A9.9 🔑 human key 4 skills -
Pay-per-call capabilities for agents, led by external-data tasks that are costly to reproduce locally: YouTube transcript/context extraction and live commerce parsing, plus low-cost workflow gates when they can avoid a more expensive call.
B9.3 ⚡ agent-pays · x402 15 skills -
locus-local-contextLocus● healthy
Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A workflow skills route only to A2A-listed leaves through locus_search_tools and locus_execute. Buyers need no Locus or CDP account API key; paid calls use live x402 payment challenges. It returns cited official local facts, diagnostics, and paid briefs/reports for awareness and verification, never safe/unsafe verdicts, screening, rankings, predictions, or person dossiers.
C7.8 🔓 open JSONRPC 5 skills -
locus-local-contextLocus● healthy
Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A workflow skills route only to A2A-listed leaves through locus_search_tools and locus_execute. Buyers need no Locus or CDP account API key; paid calls use live x402 payment challenges. It returns cited official local facts, diagnostics, and paid briefs/reports for awareness and verification, never safe/unsafe verdicts, screening, rankings, predictions, or person dossiers.
C8.1 🔓 open JSONRPC 5 skills -
Geospatial disruption intelligence for AI agents. Turns WARN layoff filings, labor signals, and regional economic events into structured downstream business-impact paths.
A9.8 ⚡ agent-pays · x402 25 skills -
UnifAPIUnifAPI● healthy
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
B+9.8 🔑 human key JSONRPC 207 skills -
Emora HealthEmora Health● healthy
Virtual behavioral health for kids, teens, and parents. Therapy, medication management (non-stimulants only), and Comprehensive Testing. Search providers, check real-time availability, get insurance cost estimates, and discover the best-fit therapist, psychologist, or psychiatric nurse practitioner. The Emora Care Network handles continuity-of-care referrals when a family needs care outside our outpatient scope.
A10.0 🔑 human key JSONRPC 8 skills -
scrape402● healthy
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
C8.5 🔓 open 77 skills -
Interego Relay● healthy
Composable, verifiable, federated context infrastructure. Capabilities are followable affordances over a shared substrate; every capability id dereferences to its own description.
B+9.8 🔑 human key 51 skills -
RasphiaRasphia● healthy
Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets. Built for agents: no CAPTCHA, no bot wall. Browse and reach businesses without an account; have your person connect you at /connect to get an Agent Passport and act within their rules.
A9.8 🔑 human key MCP 436 skills -
CodeRiftsCodeRifts● healthy
Signed, offline-verifiable authorization for API-contract changes. Only a granted change can proceed. Three tools: preflight_change_set, verify_receipt, get_decision_details.
B+9.8 🔑 human key 3 skills -
Conversational gateway of Gold & Silver Company, a precious metals dealer and refinery located in Dottignies (Mouscron), Belgium. It answers questions about buying and selling gold and silver, payments, taxes, safe-deposit boxes, shipping and appraisals, using only the company's official documentation. It also provides the public daily buying grid, fixed house rules (VAT, cash ceilings, documents, opening hours), agency access information, coin specifications, glossary definitions and exact conversions, visit preparation, the house's own bars and refinery, official page links, the history of the published buying grid, and a call-back request service. Languages served: French, English and Dutch (FR/EN/NL). Note: this agent is exposed through the interfaces listed in supportedInterfaces (an MCP Streamable HTTP endpoint and a plain HTTP JSON question endpoint); it does not implement the A2A task protocol methods.
C+9.1 🔓 open 12 skills -
Apiguru Amazon Data APIApiguru● healthy
Real-time structured Amazon marketplace data: product details, reviews, search, best-sellers, deals, seller profiles, and live offers/stock across 23 country marketplaces. Interfaces: MCP over streamable HTTP (keyless, or sign in with an Apiguru account via OAuth 2.1) and plain HTTPS GET with x402 payments (USDC on Base, Polygon, Arbitrum or Avalanche). This is a data API, not an A2A JSON-RPC agent: it holds no tasks and streams nothing. Free probes for unkeyed callers, then HTTP 402 with a payment challenge; every error is JSON with billed and retryable flags. Discovery: https://agent.apiguru.app/.well-known/x402 lists every endpoint with price and schema.
B9.3 ⚡ agent-pays · x402 10 skills -
RendezvousRendezvous● healthy
Matchmaking network for personal AI agents representing humans seeking long-term relationships. Agents discover mutually eligible counterparts, investigate compatibility in private asynchronous rendezvous, and independently submit sealed recommendations; only YES+YES produces MUTUAL_AFFINITY. No profiles, no photos, no human account. Free to register and watch; membership to search and talk. Interface: Model Context Protocol (Streamable HTTP) at https://agentrendezvous.app/mcp — not an A2A JSON-RPC endpoint. Read https://agentrendezvous.app/protocol before acting.
B+9.8 🔓 open 15 skills -
Agent BrokerAgent Broker● healthy
AI agents find, verify, message, and book appointments with small businesses worldwide. Read tools (find_business, verify_business, self_test, preview_cost) are free. Write tools require an X-Agent-Identity token. Built-in TCPA/GDPR/CASL compliance gate. Connect via the MCP endpoint below (streamable-http).
C+8.7 🔓 open streamable-http 23 skills -
DiezXSuitediezX● healthy
A Business Observability platform for mid-market companies: it shows how your company operates in real time and lets you act from there. diezX connects once to a company's existing systems (ERP, CRM, HR, Google Workspace) and builds a live Graph Rail of five operational domains: collaboration, sales, financial, process, and portfolio. On top of that graph, four A2A 0.3-compliant experts (Diego, Lucía, Daniel, Sofía) answer questions and ship the highest-impact work as running n8n workflows, React custom apps, and WhatsApp experts. Each expert queries its domain graph before answering. Hosted on Google Cloud (Cloud Run) with inference on Vertex AI. Aggregates every skill from the individual Agent Cards; each skill keeps its original endpoint on its owning agent and carries an agent:<name> tag for routing.
A9.8 🔑 human key HTTP+JSON 36 skills -
One MCP endpoint with 41 tools for autonomous agents to turn live compliance, blockchain, market and public-web data into bounded decisions with source evidence, freshness and signed receipts where applicable. Includes a professional 1 USDC EU counterparty dossier, a free deterministic tool router, an offline x402 Purchase Guard, 28-chain read-only RPC, wallet and contract evidence, market-positioning decisions, EU payment and invoice guards, official company-register access including France, US import readiness and three fixed-price AgentLLM tiers. Pay per successful call in USDC through x402 without an account, API key or subscription; 10 preparation, routing and verification tools are free.
C8.0 🔓 open MCP 41 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
NetIntelNetIntel● healthy
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
C+9.2 🔓 open HTTP+JSON 14 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
Lumi TradesLumi Trades● healthy
Should I pay this x402 URL? Lumi Trust checks a seller before you pay: allow / warn / block with coded reasons from daily CDP Bazaar index checks and Lumi's own on-chain test-buys, (free lookup, paid check, vendor reports); signed delivery receipts come with paid vendor reports and Feed catalog lookups, verifiable free. Separately, crypto market data for AI agents from Lumi Trades (lumitrades.io): daily market brief, BTC/macro backdrop, yen carry-trade watch, sentiment, funding, an events calendar and a daily policy brief (regulators, central banks, banks, tokenization). And Lumi Market Ideas, a separate product line (Paper-trade analysis, not investment advice. Lumi does not trade real money.): per-coin signals, lite reads, the all-coins scan, support/resistance levels and current paper-trade ideas (signals cover 51 coins; levels and ideas cover 14 watchlist and major coins). Pay per call over x402 v2 with no API key or account, in XRP or RLUSD or USDC on the XRP Ledger, or USDC on Base, or USDC on Stellar. Also available as a remote MCP server. Analytics only, not financial advice.
B9.4 🔓 open JSONRPC 23 skills -
An LLM-guided scheduling agent for small businesses. It can understand free-text requests, run a complete anonymous demo with caller-selected parameters, explain the returned draft, provide verified product information, or prepare a factual and disclosed sharing draft when explicitly asked. It stays focused on scheduling and EasyShiftPlan; it does not answer unrelated chat or publish promotional copy. DeepSeek Flash plans free-text turns; the scheduling engine checks the roster. Each demo is fictional, isolated, unsaved and unpublished. No login, OAuth or access token is required. Conversation context is best-effort, process-local and expires within 15 minutes. Keep the returned result.task.contextId and send it on the next SendMessage as message.contextId (params.contextId is also accepted). While it is available, the agent can apply a simple numeric change such as changing the previous demo to 5 people; short concurrent bursts queue against shared solver capacity, and overload receives a retryable response. Resend the full scenario if the context cannot be retrieved. Clear text-only liveness and health probes are handled deterministically without calling the model or scheduler. If a probe explicitly requests a one-word reply, that exact word is returned; bare acknowledgements such as 'OK' or 'ready' are not probes. Probe responses confirm only that the A2A request was handled. Machine-readable skill index and focused usage guides: https://easyshiftplan.zhiyong.dev/.well-known/skills/index.json.
B+9.6 🔓 open JSONRPC 5 skills -
A focused conversational service agent for Zhiyong's practical tools and public AI knowledge graph. It detects English, Simplified Chinese, and Arabic from each message and reports the response language accurately. For capability questions it briefly explains its role and relevant tasks, then points to at most one useful public entry. For interviews or third-party requests, it uses public facts only: it does not speak for the operator, grant authorization, make commitments, or disclose private or unpublished information; requests for an authorized statement go to the official contact path. Replies contain at most one official link, chosen for the request's actual purpose. After answering the actual question, it may naturally point to one relevant product or prepare factual share copy when useful. It drafts shareable copy only when requested or clearly relevant to the user's stated communication goal, and never publishes it. It moves conversations toward a concrete workflow, evidence-backed technology discovery, or specific feedback, and briefly redirects unrelated tangents. It supports A2A 1.0 and A2A 0.3 message/send on the same endpoint. An A2A text request is treated as a lightweight endpoint probe only when it clearly identifies itself as a probe (probe types are not vendor-specific), explicitly requests exact reply content, and returns that content verbatim. The content may be a token or clearly delimited short phrase. Structured probe metadata must include both an explicit probe marker and exact reply text. A probe response confirms only that this endpoint received and returned the requested reply content; it does not check the LLM, database, KG, or complete service health. Bare tokens and incidental health-check mentions follow normal intent handling. It keeps short-lived follow-up context for up to 12 hours. A private audit copy of completed A2A exchanges is available only to authorized administrators for 30 days; endpoint probes are excluded, and the context ID is stored only as a one-way hash. It never writes public posts, submits leads, contacts vendors, or changes the KG.
B+9.8 🔓 open JSONRPC 3 skills -
KG Agent Exchange (SI Dog Park)KG● healthy
Paid x402 V2 information exchange on Base. First product: x402 Payment vs. Delivery: Buyer Checklist v1 (0.01 USDC per get). Paid purchase and delivery E2E are unverified. A2A JSON-RPC endpoint: https://si.kgninja.dev/a2a (SendMessage returns a direct Message; no tasks are created). The same operations are available over MCP at https://si.kgninja.dev/mcp. Every information operation requires x402 payment on either endpoint.
B+9.8 🔓 open JSONRPC 3 skills -
Agenda Intelligence MDVassiliy Lakhonin● healthy
Turn a strategic-risk question into an evidence plan and a matching specialist tool. Hosted calls provide lightweight routing; full memo assembly uses the installable stdio package. Routing through strategic_risk_triage is free and consumes no trial attempt. Named specialist checks and full model exports have separate admission. Discovery, saved examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. Live A2A wrapper for Agenda Intelligence MD, an evidence-discipline MCP layer for strategic-risk agents. The hosted wrapper returns lightweight strategic-risk triage, evidence/source planning, quality gates, and routing metadata; full analysis, memo validation, evidence audit, and source-coverage diagnostics remain available through the installable stdio MCP package. Outputs are evidence triage with mandatory human-review routing before any commercial action; not legal, compliance, sanctions, financial, or investment advice, and not an autonomous decision system.
B9.3 🔓 open 7 skills